# Patient-lifestyle-details

| **API URL**     | {{url}}/spice-service/patient/lifestyle/details |
| --------------- | ----------------------------------------------- |
| **Method**      | POST                                            |
| **Description** | Patient lifestyle details                       |

#### **Input:** <a href="#patient-lifestyle-details-input" id="patient-lifestyle-details-input"></a>

| **Field Name**        | **Type** | **Mandatory** | **Example**                                                                                                                                     |
| --------------------- | -------- | ------------- | ----------------------------------------------------------------------------------------------------------------------------------------------- |
| Authorization(Header) | String   | Yes           | Bearer eyJlbmMiOiJBMTI4R0NNIiwiYWxnIjoiUlNBLU9BRVAtMjU2In0.MCm0mJDfpfjlr10Uok79-kTF7fv9Tn7cI5m2WsRDGUd9VS7iRmfbszjuc1-w5D-PYt9CdVxRMGBQlzYauhnI |

#### **Sample Input:** <a href="#patient-lifestyle-details-sampleinput" id="patient-lifestyle-details-sampleinput"></a>

{     "patientTrackId": 1,     "tenantId": 4 }

#### **Output:** <a href="#patient-lifestyle-details-output" id="patient-lifestyle-details-output"></a>

| **Field Name**    | **Type** | **Comments**       |
| ----------------- | -------- | ------------------ |
| `lifestyle`       | String   | Lifestyle          |
| `lifestyleType`   | String   | lifestyle type     |
| `lifestyleAnswer` | String   | lifestyle answer   |
| `comments`        | String   | Lifestyle comments |

#### **Sample Output:** <a href="#patient-lifestyle-details-sampleoutput" id="patient-lifestyle-details-sampleoutput"></a>

```
{
    "message": "Patient LifeStyle Details fetched Successfully.",
    "entity": null,
    "status": true,
    "entityList": [
        {
            "comments": null,
            "lifestyle": "About how many hours per week do you spend doing physical labor, walking, and/or exercising?",
            "lifestyleType": "OTHER",
            "lifestyleAnswer": "1-3"
        },
        {
            "comments": "7 May",
            "lifestyle": "Have you ever consumed alcohol?",
            "lifestyleType": "ALCOHOL",
            "lifestyleAnswer": "Yes, In the past"
        }
    ],
    "responseCode": 200,
    "totalCount": null
}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://spice.docs.medtroniclabs.org/spice-docs/versions/spice-1.0/engineering/api-documentation/spice-services/patient-lifestyle-details.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
